Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface EventBeanMBean

All Known Subinterfaces:
  AdapterMBean, HttpPubSubAdapterMBean, JMSAdapterMBean

public interface EventBeanMBean
extends StageMBean

This MBean manages the configuration of EventBeans

Field Summary
`static java.lang.String` | `MBEAN_TYPE`

Method Summary
`java.util.Map` | `getInstanceProperties()` Get the instance properties.
`java.lang.String` | `getProvider()` Return the name specified on the 'provider' attribute in the spring configuration for this event-bean or adapter
`java.lang.String` | `getStageClassName()` Return the class of this event-bean or adapter as specified in the spring configuration for this event-bean or adapter

Methods inherited from interface com.bea.wlevs.management.configuration.StageMBean
`configurePlayback, configurePlaybackWithDuration, configureRecord, configureRecordWithDuration, getPlaybackConfiguration, getRecordConfiguration, isPlayingBack, isRecording, startPlayback, startRecording, stopPlayback, stopRecording`

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### MBEAN_TYPE

    public static final java.lang.String MBEAN_TYPE

Method Detail

### getProvider

    public java.lang.String getProvider()

  Return the name specified on the 'provider' attribute in the spring configuration for this event-bean or adapter

  Returns:
    provider name, or null if a class was specified instead of a provider

### getStageClassName

    public java.lang.String getStageClassName()

  Return the class of this event-bean or adapter as specified in the spring configuration for this event-bean or adapter

  Returns:
    class, or null if a provider was specified instead of a class

### getInstanceProperties

    public java.util.Map getInstanceProperties()

  Get the instance properties.

  Returns:
    Map of property name/values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.